Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

GetPciDeviceCandidatesForNewCreateVm

GetPciDeviceCandidatesForNewCreateVm

GET/zstack/v1/pci-device/candidate-pci-devices-for-new-create-vm

Operation ID

GetPciDeviceCandidatesForNewCreateVm

Since

2.4

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • hostUuid
    String

    Optional. The host UUID.

  • clusterUuids
    List

    Optional. The cluster UUIDs.

  • types
    List

    Optional. The types.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • hostUuid
      StringRequired

      The host UUID.

    • parentUuid
      StringRequired

      The UUID of the physical PCI device.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • pciSpecUuid
      StringRequired

      The UUID of the PCI device specification.

    • vendorId
      StringRequired

      The vendor ID.

    • deviceId
      StringRequired

      The device ID.

    • subvendorId
      StringRequired

      The sub-vendor ID.

    • subdeviceId
      StringRequired

      The sub-device ID.

    • pciDeviceAddress
      StringRequired

      The PCI device address.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      PciDeviceTypeRequired

      See type.

      • GPU_Video_Controller
        PciDeviceTypeRequired

        The GPU video controller.

      • GPU_Audio_Controller
        PciDeviceTypeRequired

        The GPU audio controller.

      • GPU_3D_Controller
        PciDeviceTypeRequired

        The GPU 3D controller.

      • Moxa_Device
        PciDeviceTypeRequired

        The MOXA card.

      • Generic
        PciDeviceTypeRequired

        The general device.

    • state
      PciDeviceStateRequired

      See state.

      • Enabled
        PciDeviceStateRequired

        The PCI device is enabled.

      • Disabled
        PciDeviceStateRequired

        The PCI device is disabled.

    • status
      PciDeviceStatusRequired

      See status.

      • Active
        PciDeviceStatusRequired

        The PCI device is active.

      • Attached
        PciDeviceStatusRequired

        The PCI device is attached.

      • System
        PciDeviceStatusRequired

        The PCI device is managed by the system.

    • virtStatus
      PciDeviceVirtStatusRequired

      See virtStatus.

      • UNVIRTUALIZABLE
        PciDeviceVirtStatusRequired

        Cannot be virtualized.

      • SRIOV_VIRTUALIZABLE
        PciDeviceVirtStatusRequired

        Supports SR-IOV.

      • VFIO_MDEV_VIRTUALIZABLE
        PciDeviceVirtStatusRequired

        Supports VFIO MDEV.

      • SRIOV_VIRTUALIZED
        PciDeviceVirtStatusRequired

        Has been virtualized by SR-IOV.

      • VFIO_MDEV_VIRTUALIZED
        PciDeviceVirtStatusRequired

        Has been virtualized by VFIO MDEV.

      • SRIOV_VIRTUAL
        PciDeviceVirtStatusRequired

        The SR-IOV device.

      • UNKNOWN
        PciDeviceVirtStatusRequired

        The status is unknown.

    • metaData
      PciDeviceMetaDataRequired

      See metaData.

      • metaData
        StringRequired

        The metadata.

      • metaDataEntries
        ListRequired

        See metaDataEntries.

        • key
          StringRequired

          The key.

        • value
          StringRequired

          The value.

        • op
          PciDeviceMetaDataOperatorRequired

          See op.

          • Equal
            PciDeviceMetaDataOperatorRequired

            The equal operator.

          • Unequal
            PciDeviceMetaDataOperatorRequired

            The not equal operator.

    • matchedPciDeviceOfferingRef
      ListRequired

      See matchedPciDeviceOfferingRef.

      • pciDeviceUuid
        StringRequired

        The PCI device UUID.

      • pciDeviceOfferingUuid
        StringRequired

        The PCI device offering UUID.

    • mdevSpecRefs
      ListRequired

      See mdevSpecRefs.

      • pciDeviceUuid
        StringRequired

        The PCI device UUID.

      • mdevSpecUuid
        StringRequired

        The UUID of the MDEV device specification.

      • effective
        BooleanRequired

        Whether the current MDEV device specification is used to segment the PCI device.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.